Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# Appendix D: grb_rsm - Configuration Properties

The following list of properties can also be displayed using the `grb_rsm properties` command.

AUTH_CACHE_AGE: Type int (default 30)

  Maximum age of authentication information (seconds); DEPRECATED. This property has been migrated to the Cluster Manager Settings stored into the Database.

CLUSTER_TOKEN: Type string

  Unique cluster identifier. The token is an encrypted key used to secure communication between the manager and the cluster nodes. All nodes of a cluster and the manager must have the same token. Use ‘grb_rs token’ command to generate a new token.

CONSOLE_TS: Type bool

  Use `--console-ts` to override on the command line.

  Add timestamps to console log messages.

DB_URI: Type string (default mongodb://127.0.0.1:27017)

  MongoDB connection string.

HELMET: Type bool (default true)

  Enable Helmet secure HTTP headers request protection. If there is connectivity issue please disable Helmet request protection

HISTORY_MAX_AGE: Type int (default 30)

  Limit the job history to a number of days; DEPRECATED. This property has been migrated to the Cluster Manager Settings stored into the Database.

HTTP_HEALTH_SERVER: Type bool

  Enable an additional HTTP server dedicated to processing health-check (/ping) requests. When using TLS, it may be useful to keep a simple HTTP for health-check.

HTTP_HEALTH_SERVER_PORT: Type int (default 9091)

  Indicates the port for the additional HTTP health-check server.

IDLE_CONN_TIMEOUT: Type int (default 130)

  maximum amount of time an idle (keep-alive) connection will remain idle before closing itself. Zero means no limit.

JWT_EXPIRATION: Type int (default 480)

  Expiration of session tokens (in minutes); DEPRECATED. This property has been migrated to the Cluster Manager Settings stored into the Database.

LOGFILE: Type string

  Use `--logfile` to override on the command line.

  Enable logging to a rotating log file.

LOGFILE_MAX_AGE: Type int (default 5)

  Use `--logfile-max-age` to override on the command line.

  Limit the rotating log file to a number of days.

LOGFILE_MAX_SIZE: Type int (default 500)

  Use `--logfile-max-size` to override on the command line.

  Limit the size of each file to a size in MB.

MAX_IDLE_CONNS: Type int (default 200)

  Maximum number of connections in the idle connection pool.

MAX_IDLE_CONNS_PER_HOST: Type int (default 32)

  Maximum idle (keep-alive) connections to keep per-host.

NO_CONSOLE: Type bool

  Use `--no-console` to override on the command line.

  Disable the console log.

OBJECT_NOT_CLOSED_MAX_AGE: Type int (default 1)

  Limit the time an object must be closed before being deleted (hours); DEPRECATED. This property has been migrated to the Cluster Manager Settings stored into the Database.

PORT: Type int

  Use `--port` to override on the command line.

  Port number for the REST API.

SETTINGS_CACHE_AGE: Type int (default 5)

  Max age of settings information (seconds).

SYSLOG: Type bool

  Use `--syslog` to override on the command line.

  Log to syslog or Windows event log.

TLS: Type bool

  Use `--tls` to override on the command line.

  Enable TLS encryption protocol.

TLS_CERT: Type string

  Use `--tlscert` to override on the command line.

  Path to TLS certificate file. If not specified, a self-signed certificate will be generated.

TLS_CIPHERS: Type string

  Use `--tls-ciphers` to override on the command line.

  A comma-separated list of supported cipher policies or suites used for TLS secure communication. Use grb_rsm ciphers to list the supported policies and ciphers for this release If not specified, the Default Policy of secure cipher suites is used.

TLS_INSECURE: Type bool

  Use `--tls-insecure` to override on the command line.

  Enable TLS encryption protocol but skip certificate verification. This mode can be used with self-signed certificate so that data is encrypted.

TLS_KEY: Type string

  Use `--tlskey` to override on the command line.

  Path to TLS key file. If not specified, a key will be generated to self-sign a certificate.

VERBOSE: Type bool

  Use `--verbose` to override on the command line.

  Enable verbose logging.

Help and Feedback

Press `/` or click to search this documentation | Gurobi website | Gurobi community forum
Go to other Gurobi documentation | Gurobi download | Contact support